﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using RhythmBullet.Zer01HD.Game.Screens.Transitions;
using RhythmBullet.Zer01HD.UI;
using RhythmBullet.Zer01HD.Utilities.ContentSystem;
using RhythmBullet.Zer01HD.Utilities.UI;
using RhythmBullet.Zer01HD.Utilities.UI.ScreenSystem;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RhythmBullet.Zer01HD.Game.Screens
{
    class MainScreen : Screen
    {
        FadeAwayTransition fat;
        Texture2D background;
        Viewport viewport;

        public MainScreen(ContentSystem assets) : base(true)
        {
            background = assets.Get<Texture2D>("backgrounds/mainBG");
            fat = new FadeAwayTransition(1.25f);
        } 

        public override void Show()
        {
            Transitions.Add(fat);
            base.Show();
        }

        public override void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(background, ScreenSize, Color.White);
            base.Draw(spriteBatch);
        }
    }
}
