﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RhythmBullet.Zer01HD.UI.Modular
{
    public class Text : UIModule
    {
        private SpriteFont font;
        private float scale;
        private Vector2 position;
        public string DisplayedText
        {
            get
            {
                return DisplayedText;
            }
            set
            {
                Vector2 size = font.MeasureString(value);
                Bounds.Width = (int) size.X;
                scale = Bounds.Height / size.Y;
            }
        }
        public Text(string displayedText, SpriteFont font, int height)
        {
            Bounds.Height = height;
            this.font = font;
        }

        public override void Draw(SpriteBatch batch)
        {
            position.X = Bounds.X;
            position.Y = Bounds.Y;
            batch.DrawString(font, DisplayedText, position, Color);
            base.Draw(batch);
        }
    }
}
